# RPM specfile for libzvt module
# Generated Wed Nov 19 17:28:28 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.10.2.1 2003/11/04 00:58:38 mibarra Exp $

%define nam	libzvt
%define ver	2.0.1
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	7

Name:     	libzvt
Version: 	2.0.1
Release:	0.ximian.6.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libzvt-2.0.1.tar.gz
Summary:	ZVT Terminal emulator library
Group:		System Environment/Libraries
Provides:	ximian-libzvt = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libzvt-devel < 2.0.1-0.ximian.6.7
Conflicts:	libzvt-devel > 2.0.1-0.ximian.6.7

%description
Library that allows applications to make use of the ZVT terminal emulator. ZVT is used
by the GNOME terminal, among other applications.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%dir /usr/libexec/libzvt-2.0
%attr(2755, root, utmp) /usr/libexec/libzvt-2.0/*
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libzvt-devel
Summary:	Libraries and headers for libzvt
Group:		Development/Libraries
Requires:	libzvt = 2.0.1-0.ximian.6.7
Requires:	libgnomeui-devel
Provides:	ximian-libzvt-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libzvt-devel
Files needed to develop software with the libzvt terminal emulator library.

You should install the libzvt-devel package if you would like to
compile zvt-based applications or build applications based on or including zvt. 
You do not need to install libzvt-devel if you just want to use the GNOME desktop
or its terminal emulation capabilities.

%files -n libzvt-devel
%defattr(-, root, root)
/usr/lib/pkgconfig/*
/usr/lib/lib*.so
/usr/lib/*.a
/usr/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libzvt-2.0.1
    ;;
all)
%setup  -q -n libzvt-2.0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.0.1-0.ximian.6.7
- Summary: New build.
- New automated build.

